Bug 812137 - Review Request: polyclipping - Polygon clipping library
Summary: Review Request: polyclipping - Polygon clipping library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 737401
TreeView+ depends on / blocked
 
Reported: 2012-04-12 20:38 UTC by Volker Fröhlich
Modified: 2015-03-27 15:44 UTC (History)
5 users (show)

Fixed In Version: polyclipping-4.7.6-2.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-04 20:29:49 UTC
loganjerry: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Volker Fröhlich 2012-04-12 20:38:17 UTC
Spec URL: http://www.geofrogger.net/review/polyclipping.spec
SRPM URL: http://www.geofrogger.net/review/polyclipping-4.7.6-1.fc16.src.rpm

Description:

This library primarily performs the boolean clipping operations -
intersection, union, difference & xor - on 2D polygons. It also performs
polygon offsetting. The library handles complex (self-intersecting) polygons,
polygons with holes and polygons with overlapping co-linear edges.
Input polygons for clipping can use EvenOdd, NonZero, Positive and Negative
filling modes. The clipping code is based on the Vatti clipping algorithm,
and outperforms other clipping libraries.

rpmlint:

[makerpm@lenovo-muw polyclipping]$ rpmlint /home/makerpm/rpmbuild/SRPMS/polyclipping-4.7.6-1.fc16.src.rpm /home/makerpm/rpmbuild/RPMS/x86_64/polyclipping-4.7.6-1.fc16.x86_64.rpm /home/makerpm/rpmbuild/RPMS/x86_64/polyclipping-devel-4.7.6-1.fc16.x86_64.rpm /home/makerpm/rpmbuild/RPMS/x86_64/polyclipping-debuginfo-4.7.6-1.fc16.x86_64.rpm
polyclipping.src: W: spelling-error %description -l en_US boolean -> Boolean, boo lean, boo-lean
polyclipping.src: W: file-size-mismatch clipper_ver4.7.6.zip = 1462271, http://downloads.sourceforge.net/polyclipping/clipper_ver4.7.6.zip = 1462266
polyclipping.x86_64: W: spelling-error %description -l en_US boolean -> Boolean, boo lean, boo-lean
polyclipping-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 4 warnings.

I assume the filesize mismatch occured, when the developer included the fix for the paths in the CMake file. I will, of course, use this file for the final package, but I have limited access to the Internet right now.

Scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3986307

Comment 1 Jerry James 2012-04-24 19:21:18 UTC
I will review this package

Comment 2 Jerry James 2012-04-24 19:58:13 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[-]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[!]: MUST Package must own all directories that it creates.

%{_includedir}/%{name} is not owned.  Either move clipper.hpp to
%{_includedir}, or changes the %files devel line to read
"%{_includedir}/%{name}/".

[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint polyclipping-debuginfo-4.7.6-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint polyclipping-4.7.6-1.fc18.src.rpm

polyclipping.src: W: spelling-error %description -l en_US boolean -> Boolean, boo lean, boo-lean
polyclipping.src: W: file-size-mismatch clipper_ver4.7.6.zip = 1462271, http://downloads.sourceforge.net/polyclipping/clipper_ver4.7.6.zip = 1462266
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint polyclipping-4.7.6-1.fc18.i686.rpm

polyclipping.i686: W: spelling-error %description -l en_US boolean -> Boolean, boo lean, boo-lean
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint polyclipping-devel-4.7.6-1.fc18.i686.rpm

polyclipping-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/jamesjer/812137/clipper_ver4.7.6.zip :
  MD5SUM this package     : 623aea29d46b6a23d8567e26cfc33b84
  MD5SUM upstream package : 70239e9a80c149cb6a8886c9e365eca4

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
     Upstream did not provide any tests (in the traditional sense).
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint polyclipping-debuginfo-4.7.6-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint polyclipping-4.7.6-1.fc18.src.rpm

polyclipping.src: W: spelling-error %description -l en_US boolean -> Boolean, boo lean, boo-lean
polyclipping.src: W: file-size-mismatch clipper_ver4.7.6.zip = 1462271, http://downloads.sourceforge.net/polyclipping/clipper_ver4.7.6.zip = 1462266
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint polyclipping-4.7.6-1.fc18.i686.rpm

polyclipping.i686: W: spelling-error %description -l en_US boolean -> Boolean, boo lean, boo-lean
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint polyclipping-devel-4.7.6-1.fc18.i686.rpm

polyclipping-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[!]: MUST Package must own all directories that it creates.

%{_includedir}/%{name} is not owned.  Either move clipper.hpp to
%{_includedir}, or changes the %files devel line to read
"%{_includedir}/%{name}/".
[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/jamesjer/812137/clipper_ver4.7.6.zip :
  MD5SUM this package     : 623aea29d46b6a23d8567e26cfc33b84
  MD5SUM upstream package : 70239e9a80c149cb6a8886c9e365eca4

See: http://fedoraproject.org/wiki/Packaging/SourceURL
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.


Generated by fedora-review 0.1.3
External plugins:

Comment 3 Volker Fröhlich 2012-04-25 16:36:37 UTC
The license file is there. I suppose fedora-review didn't pick it up.

Spec URL: http://www.geofrogger.net/review/polyclipping.spec
SRPM URL: http://www.geofrogger.net/review/polyclipping-4.7.6-2.fc16.src.rpm

Comment 4 Jerry James 2012-04-25 18:45:19 UTC
(In reply to comment #3)
> The license file is there. I suppose fedora-review didn't pick it up.

Yes, I even saw that it was there, then forgot to change that part of the review.  Sorry about that.

The md5sums now match.  The includedir path has been fixed.  All MUST items are now okay, so this package is APPROVED.

Comment 5 Volker Fröhlich 2012-04-25 22:34:06 UTC
New Package SCM Request
=======================
Package Name: polyclipping
Short Description: Polygon clipping library
Owners: volter
Branches: f16 f17
InitialCC:

Comment 6 Gwyn Ciesla 2012-04-26 12:07:14 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2012-04-26 13:08:38 UTC
polyclipping-4.7.6-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/polyclipping-4.7.6-2.fc17

Comment 8 Fedora Update System 2012-04-26 13:08:47 UTC
polyclipping-4.7.6-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/polyclipping-4.7.6-2.fc16

Comment 9 Fedora Update System 2012-04-26 19:27:43 UTC
polyclipping-4.7.6-2.fc17 has been pushed to the Fedora 17 testing repository.

Comment 10 Fedora Update System 2012-05-04 20:29:49 UTC
polyclipping-4.7.6-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 11 Fedora Update System 2012-05-04 22:56:20 UTC
polyclipping-4.7.6-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 12 Miro Hrončok 2013-01-06 11:56:03 UTC
Package Change Request
======================
Package Name: polyclipping
Branches: f16  f17  f18
Owners:
InitialCC: churchyard

Please add churchyard with watch* permissions only to all Fedora branches.

Comment 13 Volker Fröhlich 2013-01-06 12:10:16 UTC
You don't need a change request to achieve that. Just use this form to reach the desired privileges:

https://admin.fedoraproject.org/pkgdb/acls/name/polyclipping

Comment 14 Miro Hrončok 2013-01-06 12:25:26 UTC
Thanks.

Comment 15 Orion Poplawski 2015-03-26 21:40:03 UTC
Miro/Volker -  Would you mind maintaining this in EPEL7?

Comment 16 Miro Hrončok 2015-03-27 14:26:50 UTC
From the history of Clipper API changes I'd say it will change rapidly in the future as well and maintaining it in EPEL7 will be pain. So I'm definitely not doing it.

Comment 17 Orion Poplawski 2015-03-27 15:44:11 UTC
Thanks for the explanation.  That sounds like a good reason to exclude it.


Note You need to log in before you can comment on or make changes to this bug.